Skip to content

Product Rankings - New Listed

Introduction

Retrieve new listed products, with the following features:

  • Supports filtering parameters
  • Supports custom result sorting

API Endpoint

bash
    POST /product/v1/rank/newListed

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoPage number, default: 1
pagesizeintegerNoItems per page, default: 10

filter Optional Values

FieldTypeRequiredDescription
regionstringNoCountry/Region
date_infoobjectNoDate info, e.g., {'type': 'day', 'value': '2026-02-01'}
category_idintegerNoProduct category
is_cross_borderintegerNoIs the product cross-border
is_fully_managedintegerNoIs the product fully managed

Available regions: ['US', 'ID', 'GB', 'VN', 'TH', 'MY', 'PH', 'SG', 'ES', 'MX', 'DE', 'FR', 'IT', 'BR', 'JP']

date_info Optional Values: ['day'] (only day is supported), value must be the date of 3 days ago, format: YYYY-MM-DD

orderby Optional Values

FieldRequiredDescription
day3_units_soldNo3 days sales volume
day3_gmvNo3 days revenue
total_units_soldNoTotal sales volume
total_gmvNoTotal revenue

Request Example

bash
curl 'https://openapi.fastmoss.com/product/v1/rank/newListed' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 2,
        "date_info": {
            "type": "day",
            "value": "2026-02-01"
        }
    },
     "orderby": [
      {
        "field": "day3_units_sold",
        "order": "desc"
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

  • Type: integer
  • Description: Total number of results

data.list

FieldTypeDescription
product_idstringProduct ID
titlestringProduct title
regionstringCountry/Region
coverstringProduct cover URL
categoryobjectProduct category
commission_rateintegerCommission rate
real_pricestringProduct price
currencystringprice currency
day3_units_soldinteger3 days sales volume
day3_gmvinteger3 days revenue
total_units_soldintegerTotal sales volume
total_gmvintegerTotal revenue
shopobjectShop information

data.list.shop

FieldTypeDescription
seller_idstringShop ID
namestringShop name
avatarstringShop cover URL
total_units_soldintegerShop total sales volume

Response Example

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 500,
    "list": [
      {
                "product_id": "1732296548196717129",
                "day3_units_sold": 1862,
                "day3_gmv": 31937.01,
                "is_fully_managed": 0,
                "is_cross_border": 1,
                "total_units_sold": 1862,
                "total_gmv": 31470.65,
                "off_shelves": 0,
                "launch_time": 1773924919,
                "title": "Artificial Flowers for Outdoor Indoor Garden Home Decoration, Plastic Faux Flowers, Faux Flower Daisy with Eucalyptus Leaves Fake Plants Greenery Boxwood Porch Patio",
                "cover": "https://s.500fd.com/tt_product/7a113ce6dc2643498eb16d7a3b5fc789~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
                "region": "US",
                "currency": "USD",
                "real_price": "$16.24",
                "commission_rate": 1200,
                "category": {
                    "l1": {
                        "id": 10,
                        "name": "Home Supplies"
                    },
                    "l2": {
                        "id": 852104,
                        "name": "Home Decor"
                    },
                    "l3": {
                        "id": 700654,
                        "name": "Decorative Flowers, Plants & Fruit"
                    }
                },
                "shop": {
                    "avatar": "https://s.500fd.com/tt_shop/0f34e8c185dd479ab7e796acd52a5b51~tplv-fhlh96nyum-resize-png:300:300.png",
                    "seller_id": "7494146835918194249",
                    "name": "Gubercen",
                    "total_units_sold": 57263,
                    "is_fully_managed": null
                }
            }
    ]
  }
}